"Fossies" - the Fresh Open Source Software Archive

Member "bwping-1.15/Makefile.in" (10 Jun 2019, 42040 Bytes) of package /linux/privat/bwping-1.15.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.14_vs_1.15.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 sbin_PROGRAMS = bwping$(EXEEXT)
   90 subdir = .
   91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   92 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   94 	$(ACLOCAL_M4)
   95 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   96 	$(am__configure_deps) $(dist_check_SCRIPTS) $(am__DIST_COMMON)
   97 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   98  configure.lineno config.status.lineno
   99 mkinstalldirs = $(install_sh) -d
  100 CONFIG_HEADER = config.h
  101 CONFIG_CLEAN_FILES =
  102 CONFIG_CLEAN_VPATH_FILES =
  103 am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
  104 PROGRAMS = $(sbin_PROGRAMS)
  105 am__dirstamp = $(am__leading_dot)dirstamp
  106 am_bwping_OBJECTS = src/bwping.$(OBJEXT)
  107 bwping_OBJECTS = $(am_bwping_OBJECTS)
  108 bwping_LDADD = $(LDADD)
  109 AM_V_P = $(am__v_P_@AM_V@)
  110 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  111 am__v_P_0 = false
  112 am__v_P_1 = :
  113 AM_V_GEN = $(am__v_GEN_@AM_V@)
  114 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  115 am__v_GEN_0 = @echo "  GEN     " $@;
  116 am__v_GEN_1 = 
  117 AM_V_at = $(am__v_at_@AM_V@)
  118 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  119 am__v_at_0 = @
  120 am__v_at_1 = 
  121 DEFAULT_INCLUDES = -I.@am__isrc@
  122 depcomp = $(SHELL) $(top_srcdir)/depcomp
  123 am__maybe_remake_depfiles = depfiles
  124 am__depfiles_remade = src/$(DEPDIR)/bwping.Po
  125 am__mv = mv -f
  126 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  127 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  128 AM_V_CC = $(am__v_CC_@AM_V@)
  129 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  130 am__v_CC_0 = @echo "  CC      " $@;
  131 am__v_CC_1 = 
  132 CCLD = $(CC)
  133 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  134 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  135 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  136 am__v_CCLD_0 = @echo "  CCLD    " $@;
  137 am__v_CCLD_1 = 
  138 SOURCES = $(bwping_SOURCES)
  139 DIST_SOURCES = $(bwping_SOURCES)
  140 am__can_run_installinfo = \
  141   case $$AM_UPDATE_INFO_DIR in \
  142     n|no|NO) false;; \
  143     *) (install-info --version) >/dev/null 2>&1;; \
  144   esac
  145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  146 am__vpath_adj = case $$p in \
  147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  148     *) f=$$p;; \
  149   esac;
  150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  151 am__install_max = 40
  152 am__nobase_strip_setup = \
  153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  154 am__nobase_strip = \
  155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  156 am__nobase_list = $(am__nobase_strip_setup); \
  157   for p in $$list; do echo "$$p $$p"; done | \
  158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  160     if (++n[$$2] == $(am__install_max)) \
  161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  162     END { for (dir in files) print dir, files[dir] }'
  163 am__base_list = \
  164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  166 am__uninstall_files_from_dir = { \
  167   test -z "$$files" \
  168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  170          $(am__cd) "$$dir" && rm -f $$files; }; \
  171   }
  172 man8dir = $(mandir)/man8
  173 NROFF = nroff
  174 MANS = $(man_MANS)
  175 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  176 	$(LISP)config.h.in
  177 # Read a list of newline-separated strings from the standard input,
  178 # and print each of them once, without duplicates.  Input order is
  179 # *not* preserved.
  180 am__uniquify_input = $(AWK) '\
  181   BEGIN { nonempty = 0; } \
  182   { items[$$0] = 1; nonempty = 1; } \
  183   END { if (nonempty) { for (i in items) print i; }; } \
  184 '
  185 # Make sure the list of sources is unique.  This is necessary because,
  186 # e.g., the same source file might be shared among _SOURCES variables
  187 # for different programs/libraries.
  188 am__define_uniq_tagged_files = \
  189   list='$(am__tagged_files)'; \
  190   unique=`for i in $$list; do \
  191     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  192   done | $(am__uniquify_input)`
  193 ETAGS = etags
  194 CTAGS = ctags
  195 CSCOPE = cscope
  196 AM_RECURSIVE_TARGETS = cscope check recheck
  197 am__tty_colors_dummy = \
  198   mgn= red= grn= lgn= blu= brg= std=; \
  199   am__color_tests=no
  200 am__tty_colors = { \
  201   $(am__tty_colors_dummy); \
  202   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  203     am__color_tests=no; \
  204   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  205     am__color_tests=yes; \
  206   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  207     am__color_tests=yes; \
  208   fi; \
  209   if test $$am__color_tests = yes; then \
  210     red=''; \
  211     grn=''; \
  212     lgn=''; \
  213     blu=''; \
  214     mgn=''; \
  215     brg=''; \
  216     std=''; \
  217   fi; \
  218 }
  219 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  220 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  221 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  222 # A command that, given a newline-separated list of test names on the
  223 # standard input, print the name of the tests that are to be re-run
  224 # upon "make recheck".
  225 am__list_recheck_tests = $(AWK) '{ \
  226   recheck = 1; \
  227   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  228     { \
  229       if (rc < 0) \
  230         { \
  231           if ((getline line2 < ($$0 ".log")) < 0) \
  232 	    recheck = 0; \
  233           break; \
  234         } \
  235       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  236         { \
  237           recheck = 0; \
  238           break; \
  239         } \
  240       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  241         { \
  242           break; \
  243         } \
  244     }; \
  245   if (recheck) \
  246     print $$0; \
  247   close ($$0 ".trs"); \
  248   close ($$0 ".log"); \
  249 }'
  250 # A command that, given a newline-separated list of test names on the
  251 # standard input, create the global log from their .trs and .log files.
  252 am__create_global_log = $(AWK) ' \
  253 function fatal(msg) \
  254 { \
  255   print "fatal: making $@: " msg | "cat >&2"; \
  256   exit 1; \
  257 } \
  258 function rst_section(header) \
  259 { \
  260   print header; \
  261   len = length(header); \
  262   for (i = 1; i <= len; i = i + 1) \
  263     printf "="; \
  264   printf "\n\n"; \
  265 } \
  266 { \
  267   copy_in_global_log = 1; \
  268   global_test_result = "RUN"; \
  269   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  270     { \
  271       if (rc < 0) \
  272          fatal("failed to read from " $$0 ".trs"); \
  273       if (line ~ /$(am__global_test_result_rx)/) \
  274         { \
  275           sub("$(am__global_test_result_rx)", "", line); \
  276           sub("[ 	]*$$", "", line); \
  277           global_test_result = line; \
  278         } \
  279       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  280         copy_in_global_log = 0; \
  281     }; \
  282   if (copy_in_global_log) \
  283     { \
  284       rst_section(global_test_result ": " $$0); \
  285       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  286       { \
  287         if (rc < 0) \
  288           fatal("failed to read from " $$0 ".log"); \
  289         print line; \
  290       }; \
  291       printf "\n"; \
  292     }; \
  293   close ($$0 ".trs"); \
  294   close ($$0 ".log"); \
  295 }'
  296 # Restructured Text title.
  297 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  298 # Solaris 10 'make', and several other traditional 'make' implementations,
  299 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  300 # by disabling -e (using the XSI extension "set +e") if it's set.
  301 am__sh_e_setup = case $$- in *e*) set +e;; esac
  302 # Default flags passed to test drivers.
  303 am__common_driver_flags = \
  304   --color-tests "$$am__color_tests" \
  305   --enable-hard-errors "$$am__enable_hard_errors" \
  306   --expect-failure "$$am__expect_failure"
  307 # To be inserted before the command running the test.  Creates the
  308 # directory for the log if needed.  Stores in $dir the directory
  309 # containing $f, in $tst the test, in $log the log.  Executes the
  310 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  311 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  312 # will run the test scripts (or their associated LOG_COMPILER, if
  313 # thy have one).
  314 am__check_pre = \
  315 $(am__sh_e_setup);					\
  316 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  317 $(am__tty_colors);					\
  318 srcdir=$(srcdir); export srcdir;			\
  319 case "$@" in						\
  320   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  321     *) am__odir=.;; 					\
  322 esac;							\
  323 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  324   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  325 if test -f "./$$f"; then dir=./;			\
  326 elif test -f "$$f"; then dir=;				\
  327 else dir="$(srcdir)/"; fi;				\
  328 tst=$$dir$$f; log='$@'; 				\
  329 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  330   am__enable_hard_errors=no; 				\
  331 else							\
  332   am__enable_hard_errors=yes; 				\
  333 fi; 							\
  334 case " $(XFAIL_TESTS) " in				\
  335   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  336     am__expect_failure=yes;;				\
  337   *)							\
  338     am__expect_failure=no;;				\
  339 esac; 							\
  340 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  341 # A shell command to get the names of the tests scripts with any registered
  342 # extension removed (i.e., equivalently, the names of the test logs, with
  343 # the '.log' extension removed).  The result is saved in the shell variable
  344 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  345 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  346 # since that might cause problem with VPATH rewrites for suffix-less tests.
  347 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  348 am__set_TESTS_bases = \
  349   bases='$(TEST_LOGS)'; \
  350   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  351   bases=`echo $$bases`
  352 RECHECK_LOGS = $(TEST_LOGS)
  353 TEST_SUITE_LOG = test-suite.log
  354 TEST_EXTENSIONS = @EXEEXT@ .test
  355 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  356 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  357 am__set_b = \
  358   case '$@' in \
  359     */*) \
  360       case '$*' in \
  361         */*) b='$*';; \
  362           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  363        esac;; \
  364     *) \
  365       b='$*';; \
  366   esac
  367 am__test_logs1 = $(TESTS:=.log)
  368 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  369 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  370 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  371 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  372 	$(TEST_LOG_FLAGS)
  373 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  374 	COPYING ChangeLog INSTALL NEWS README compile depcomp \
  375 	install-sh missing test-driver
  376 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  377 distdir = $(PACKAGE)-$(VERSION)
  378 top_distdir = $(distdir)
  379 am__remove_distdir = \
  380   if test -d "$(distdir)"; then \
  381     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  382       && rm -rf "$(distdir)" \
  383       || { sleep 5 && rm -rf "$(distdir)"; }; \
  384   else :; fi
  385 am__post_remove_distdir = $(am__remove_distdir)
  386 DIST_ARCHIVES = $(distdir).tar.gz
  387 GZIP_ENV = --best
  388 DIST_TARGETS = dist-gzip
  389 distuninstallcheck_listfiles = find . -type f -print
  390 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  391   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  392 distcleancheck_listfiles = find . -type f -print
  393 ACLOCAL = @ACLOCAL@
  394 AMTAR = @AMTAR@
  395 AM_CFLAGS = @AM_CFLAGS@
  396 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  397 AUTOCONF = @AUTOCONF@
  398 AUTOHEADER = @AUTOHEADER@
  399 AUTOMAKE = @AUTOMAKE@
  400 AWK = @AWK@
  401 CC = @CC@
  402 CCDEPMODE = @CCDEPMODE@
  403 CFLAGS = @CFLAGS@
  404 CPPFLAGS = @CPPFLAGS@
  405 CYGPATH_W = @CYGPATH_W@
  406 DEFS = @DEFS@
  407 DEPDIR = @DEPDIR@
  408 ECHO_C = @ECHO_C@
  409 ECHO_N = @ECHO_N@
  410 ECHO_T = @ECHO_T@
  411 EXEEXT = @EXEEXT@
  412 INSTALL = @INSTALL@
  413 INSTALL_DATA = @INSTALL_DATA@
  414 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  415 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  416 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  417 LDFLAGS = @LDFLAGS@
  418 LIBOBJS = @LIBOBJS@
  419 LIBS = @LIBS@
  420 LN_S = @LN_S@
  421 LTLIBOBJS = @LTLIBOBJS@
  422 MAKEINFO = @MAKEINFO@
  423 MKDIR_P = @MKDIR_P@
  424 OBJEXT = @OBJEXT@
  425 PACKAGE = @PACKAGE@
  426 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  427 PACKAGE_NAME = @PACKAGE_NAME@
  428 PACKAGE_STRING = @PACKAGE_STRING@
  429 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  430 PACKAGE_URL = @PACKAGE_URL@
  431 PACKAGE_VERSION = @PACKAGE_VERSION@
  432 PATH_SEPARATOR = @PATH_SEPARATOR@
  433 SET_MAKE = @SET_MAKE@
  434 SHELL = @SHELL@
  435 STRIP = @STRIP@
  436 VERSION = @VERSION@
  437 abs_builddir = @abs_builddir@
  438 abs_srcdir = @abs_srcdir@
  439 abs_top_builddir = @abs_top_builddir@
  440 abs_top_srcdir = @abs_top_srcdir@
  441 ac_ct_CC = @ac_ct_CC@
  442 am__include = @am__include@
  443 am__leading_dot = @am__leading_dot@
  444 am__quote = @am__quote@
  445 am__tar = @am__tar@
  446 am__untar = @am__untar@
  447 bindir = @bindir@
  448 build_alias = @build_alias@
  449 builddir = @builddir@
  450 datadir = @datadir@
  451 datarootdir = @datarootdir@
  452 docdir = @docdir@
  453 dvidir = @dvidir@
  454 exec_prefix = @exec_prefix@
  455 host_alias = @host_alias@
  456 htmldir = @htmldir@
  457 includedir = @includedir@
  458 infodir = @infodir@
  459 install_sh = @install_sh@
  460 libdir = @libdir@
  461 libexecdir = @libexecdir@
  462 localedir = @localedir@
  463 localstatedir = @localstatedir@
  464 mandir = @mandir@
  465 mkdir_p = @mkdir_p@
  466 oldincludedir = @oldincludedir@
  467 pdfdir = @pdfdir@
  468 prefix = @prefix@
  469 program_transform_name = @program_transform_name@
  470 psdir = @psdir@
  471 sbindir = @sbindir@
  472 sharedstatedir = @sharedstatedir@
  473 srcdir = @srcdir@
  474 sysconfdir = @sysconfdir@
  475 target_alias = @target_alias@
  476 top_build_prefix = @top_build_prefix@
  477 top_builddir = @top_builddir@
  478 top_srcdir = @top_srcdir@
  479 AUTOMAKE_OPTIONS = subdir-objects
  480 bwping_SOURCES = include/cygwin.h include/features.h src/bwping.c
  481 man_MANS = man/bwping.8
  482 EXTRA_DIST = man/bwping.8
  483 dist_check_SCRIPTS = tests/bwping tests/bwping6
  484 TESTS = tests/bwping tests/bwping6
  485 bwping_links = bwping6
  486 all: config.h
  487 	$(MAKE) $(AM_MAKEFLAGS) all-am
  488 
  489 .SUFFIXES:
  490 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
  491 am--refresh: Makefile
  492 	@:
  493 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  494 	@for dep in $?; do \
  495 	  case '$(am__configure_deps)' in \
  496 	    *$$dep*) \
  497 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  498 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  499 		&& exit 0; \
  500 	      exit 1;; \
  501 	  esac; \
  502 	done; \
  503 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  504 	$(am__cd) $(top_srcdir) && \
  505 	  $(AUTOMAKE) --gnu Makefile
  506 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  507 	@case '$?' in \
  508 	  *config.status*) \
  509 	    echo ' $(SHELL) ./config.status'; \
  510 	    $(SHELL) ./config.status;; \
  511 	  *) \
  512 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  513 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  514 	esac;
  515 
  516 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  517 	$(SHELL) ./config.status --recheck
  518 
  519 $(top_srcdir)/configure:  $(am__configure_deps)
  520 	$(am__cd) $(srcdir) && $(AUTOCONF)
  521 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  522 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  523 $(am__aclocal_m4_deps):
  524 
  525 config.h: stamp-h1
  526 	@test -f $@ || rm -f stamp-h1
  527 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  528 
  529 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  530 	@rm -f stamp-h1
  531 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  532 $(srcdir)/config.h.in:  $(am__configure_deps) 
  533 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  534 	rm -f stamp-h1
  535 	touch $@
  536 
  537 distclean-hdr:
  538 	-rm -f config.h stamp-h1
  539 install-sbinPROGRAMS: $(sbin_PROGRAMS)
  540 	@$(NORMAL_INSTALL)
  541 	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  542 	if test -n "$$list"; then \
  543 	  echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  544 	  $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  545 	fi; \
  546 	for p in $$list; do echo "$$p $$p"; done | \
  547 	sed 's/$(EXEEXT)$$//' | \
  548 	while read p p1; do if test -f $$p \
  549 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  550 	done | \
  551 	sed -e 'p;s,.*/,,;n;h' \
  552 	    -e 's|.*|.|' \
  553 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  554 	sed 'N;N;N;s,\n, ,g' | \
  555 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  556 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  557 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  558 	    else { print "f", $$3 "/" $$4, $$1; } } \
  559 	  END { for (d in files) print "f", d, files[d] }' | \
  560 	while read type dir files; do \
  561 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  562 	    test -z "$$files" || { \
  563 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  564 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  565 	    } \
  566 	; done
  567 
  568 uninstall-sbinPROGRAMS:
  569 	@$(NORMAL_UNINSTALL)
  570 	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  571 	files=`for p in $$list; do echo "$$p"; done | \
  572 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  573 	      -e 's/$$/$(EXEEXT)/' \
  574 	`; \
  575 	test -n "$$list" || exit 0; \
  576 	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  577 	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  578 
  579 clean-sbinPROGRAMS:
  580 	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  581 src/$(am__dirstamp):
  582 	@$(MKDIR_P) src
  583 	@: > src/$(am__dirstamp)
  584 src/$(DEPDIR)/$(am__dirstamp):
  585 	@$(MKDIR_P) src/$(DEPDIR)
  586 	@: > src/$(DEPDIR)/$(am__dirstamp)
  587 src/bwping.$(OBJEXT): src/$(am__dirstamp) \
  588 	src/$(DEPDIR)/$(am__dirstamp)
  589 
  590 bwping$(EXEEXT): $(bwping_OBJECTS) $(bwping_DEPENDENCIES) $(EXTRA_bwping_DEPENDENCIES) 
  591 	@rm -f bwping$(EXEEXT)
  592 	$(AM_V_CCLD)$(LINK) $(bwping_OBJECTS) $(bwping_LDADD) $(LIBS)
  593 
  594 mostlyclean-compile:
  595 	-rm -f *.$(OBJEXT)
  596 	-rm -f src/*.$(OBJEXT)
  597 
  598 distclean-compile:
  599 	-rm -f *.tab.c
  600 
  601 @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/bwping.Po@am__quote@ # am--include-marker
  602 
  603 $(am__depfiles_remade):
  604 	@$(MKDIR_P) $(@D)
  605 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
  606 
  607 am--depfiles: $(am__depfiles_remade)
  608 
  609 .c.o:
  610 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  611 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  612 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  613 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  614 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  615 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  616 
  617 .c.obj:
  618 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  619 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  620 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  621 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  622 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  623 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  624 install-man8: $(man_MANS)
  625 	@$(NORMAL_INSTALL)
  626 	@list1=''; \
  627 	list2='$(man_MANS)'; \
  628 	test -n "$(man8dir)" \
  629 	  && test -n "`echo $$list1$$list2`" \
  630 	  || exit 0; \
  631 	echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  632 	$(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  633 	{ for i in $$list1; do echo "$$i"; done;  \
  634 	if test -n "$$list2"; then \
  635 	  for i in $$list2; do echo "$$i"; done \
  636 	    | sed -n '/\.8[a-z]*$$/p'; \
  637 	fi; \
  638 	} | while read p; do \
  639 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  640 	  echo "$$d$$p"; echo "$$p"; \
  641 	done | \
  642 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  643 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  644 	sed 'N;N;s,\n, ,g' | { \
  645 	list=; while read file base inst; do \
  646 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  647 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  648 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  649 	  fi; \
  650 	done; \
  651 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  652 	while read files; do \
  653 	  test -z "$$files" || { \
  654 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  655 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  656 	done; }
  657 
  658 uninstall-man8:
  659 	@$(NORMAL_UNINSTALL)
  660 	@list=''; test -n "$(man8dir)" || exit 0; \
  661 	files=`{ for i in $$list; do echo "$$i"; done; \
  662 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  663 	  sed -n '/\.8[a-z]*$$/p'; \
  664 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  665 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  666 	dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  667 
  668 ID: $(am__tagged_files)
  669 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  670 tags: tags-am
  671 TAGS: tags
  672 
  673 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  674 	set x; \
  675 	here=`pwd`; \
  676 	$(am__define_uniq_tagged_files); \
  677 	shift; \
  678 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  679 	  test -n "$$unique" || unique=$$empty_fix; \
  680 	  if test $$# -gt 0; then \
  681 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  682 	      "$$@" $$unique; \
  683 	  else \
  684 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  685 	      $$unique; \
  686 	  fi; \
  687 	fi
  688 ctags: ctags-am
  689 
  690 CTAGS: ctags
  691 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  692 	$(am__define_uniq_tagged_files); \
  693 	test -z "$(CTAGS_ARGS)$$unique" \
  694 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  695 	     $$unique
  696 
  697 GTAGS:
  698 	here=`$(am__cd) $(top_builddir) && pwd` \
  699 	  && $(am__cd) $(top_srcdir) \
  700 	  && gtags -i $(GTAGS_ARGS) "$$here"
  701 cscope: cscope.files
  702 	test ! -s cscope.files \
  703 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  704 clean-cscope:
  705 	-rm -f cscope.files
  706 cscope.files: clean-cscope cscopelist
  707 cscopelist: cscopelist-am
  708 
  709 cscopelist-am: $(am__tagged_files)
  710 	list='$(am__tagged_files)'; \
  711 	case "$(srcdir)" in \
  712 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  713 	  *) sdir=$(subdir)/$(srcdir) ;; \
  714 	esac; \
  715 	for i in $$list; do \
  716 	  if test -f "$$i"; then \
  717 	    echo "$(subdir)/$$i"; \
  718 	  else \
  719 	    echo "$$sdir/$$i"; \
  720 	  fi; \
  721 	done >> $(top_builddir)/cscope.files
  722 
  723 distclean-tags:
  724 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  725 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  726 
  727 # Recover from deleted '.trs' file; this should ensure that
  728 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  729 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  730 # to avoid problems with "make -n".
  731 .log.trs:
  732 	rm -f $< $@
  733 	$(MAKE) $(AM_MAKEFLAGS) $<
  734 
  735 # Leading 'am--fnord' is there to ensure the list of targets does not
  736 # expand to empty, as could happen e.g. with make check TESTS=''.
  737 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  738 am--force-recheck:
  739 	@:
  740 
  741 $(TEST_SUITE_LOG): $(TEST_LOGS)
  742 	@$(am__set_TESTS_bases); \
  743 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  744 	redo_bases=`for i in $$bases; do \
  745 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  746 	            done`; \
  747 	if test -n "$$redo_bases"; then \
  748 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  749 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  750 	  if $(am__make_dryrun); then :; else \
  751 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  752 	  fi; \
  753 	fi; \
  754 	if test -n "$$am__remaking_logs"; then \
  755 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  756 	       "recursion detected" >&2; \
  757 	elif test -n "$$redo_logs"; then \
  758 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  759 	fi; \
  760 	if $(am__make_dryrun); then :; else \
  761 	  st=0;  \
  762 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  763 	  for i in $$redo_bases; do \
  764 	    test -f $$i.trs && test -r $$i.trs \
  765 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  766 	    test -f $$i.log && test -r $$i.log \
  767 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  768 	  done; \
  769 	  test $$st -eq 0 || exit 1; \
  770 	fi
  771 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  772 	ws='[ 	]'; \
  773 	results=`for b in $$bases; do echo $$b.trs; done`; \
  774 	test -n "$$results" || results=/dev/null; \
  775 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  776 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  777 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  778 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  779 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  780 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  781 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  782 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  783 	  success=true; \
  784 	else \
  785 	  success=false; \
  786 	fi; \
  787 	br='==================='; br=$$br$$br$$br$$br; \
  788 	result_count () \
  789 	{ \
  790 	    if test x"$$1" = x"--maybe-color"; then \
  791 	      maybe_colorize=yes; \
  792 	    elif test x"$$1" = x"--no-color"; then \
  793 	      maybe_colorize=no; \
  794 	    else \
  795 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  796 	    fi; \
  797 	    shift; \
  798 	    desc=$$1 count=$$2; \
  799 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  800 	      color_start=$$3 color_end=$$std; \
  801 	    else \
  802 	      color_start= color_end=; \
  803 	    fi; \
  804 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  805 	}; \
  806 	create_testsuite_report () \
  807 	{ \
  808 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  809 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  810 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  811 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  812 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  813 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  814 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  815 	}; \
  816 	{								\
  817 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  818 	    $(am__rst_title);						\
  819 	  create_testsuite_report --no-color;				\
  820 	  echo;								\
  821 	  echo ".. contents:: :depth: 2";				\
  822 	  echo;								\
  823 	  for b in $$bases; do echo $$b; done				\
  824 	    | $(am__create_global_log);					\
  825 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  826 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  827 	if $$success; then						\
  828 	  col="$$grn";							\
  829 	 else								\
  830 	  col="$$red";							\
  831 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  832 	fi;								\
  833 	echo "$${col}$$br$${std}"; 					\
  834 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  835 	echo "$${col}$$br$${std}"; 					\
  836 	create_testsuite_report --maybe-color;				\
  837 	echo "$$col$$br$$std";						\
  838 	if $$success; then :; else					\
  839 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  840 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  841 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  842 	  fi;								\
  843 	  echo "$$col$$br$$std";					\
  844 	fi;								\
  845 	$$success || exit 1
  846 
  847 check-TESTS: $(dist_check_SCRIPTS)
  848 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  849 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  850 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  851 	@set +e; $(am__set_TESTS_bases); \
  852 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  853 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  854 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  855 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  856 	exit $$?;
  857 recheck: all $(dist_check_SCRIPTS)
  858 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  859 	@set +e; $(am__set_TESTS_bases); \
  860 	bases=`for i in $$bases; do echo $$i; done \
  861 	         | $(am__list_recheck_tests)` || exit 1; \
  862 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  863 	log_list=`echo $$log_list`; \
  864 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  865 	        am__force_recheck=am--force-recheck \
  866 	        TEST_LOGS="$$log_list"; \
  867 	exit $$?
  868 tests/bwping.log: tests/bwping
  869 	@p='tests/bwping'; \
  870 	b='tests/bwping'; \
  871 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  872 	--log-file $$b.log --trs-file $$b.trs \
  873 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  874 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  875 tests/bwping6.log: tests/bwping6
  876 	@p='tests/bwping6'; \
  877 	b='tests/bwping6'; \
  878 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  879 	--log-file $$b.log --trs-file $$b.trs \
  880 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  881 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  882 .test.log:
  883 	@p='$<'; \
  884 	$(am__set_b); \
  885 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  886 	--log-file $$b.log --trs-file $$b.trs \
  887 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  888 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  889 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  890 @am__EXEEXT_TRUE@	@p='$<'; \
  891 @am__EXEEXT_TRUE@	$(am__set_b); \
  892 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  893 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  894 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  895 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  896 
  897 distdir: $(BUILT_SOURCES)
  898 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  899 
  900 distdir-am: $(DISTFILES)
  901 	$(am__remove_distdir)
  902 	test -d "$(distdir)" || mkdir "$(distdir)"
  903 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  904 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  905 	list='$(DISTFILES)'; \
  906 	  dist_files=`for file in $$list; do echo $$file; done | \
  907 	  sed -e "s|^$$srcdirstrip/||;t" \
  908 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  909 	case $$dist_files in \
  910 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  911 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  912 			   sort -u` ;; \
  913 	esac; \
  914 	for file in $$dist_files; do \
  915 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  916 	  if test -d $$d/$$file; then \
  917 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  918 	    if test -d "$(distdir)/$$file"; then \
  919 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  920 	    fi; \
  921 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  922 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  923 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  924 	    fi; \
  925 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  926 	  else \
  927 	    test -f "$(distdir)/$$file" \
  928 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  929 	    || exit 1; \
  930 	  fi; \
  931 	done
  932 	-test -n "$(am__skip_mode_fix)" \
  933 	|| find "$(distdir)" -type d ! -perm -755 \
  934 		-exec chmod u+rwx,go+rx {} \; -o \
  935 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  936 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  937 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  938 	|| chmod -R a+r "$(distdir)"
  939 dist-gzip: distdir
  940 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  941 	$(am__post_remove_distdir)
  942 
  943 dist-bzip2: distdir
  944 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  945 	$(am__post_remove_distdir)
  946 
  947 dist-lzip: distdir
  948 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  949 	$(am__post_remove_distdir)
  950 
  951 dist-xz: distdir
  952 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  953 	$(am__post_remove_distdir)
  954 
  955 dist-tarZ: distdir
  956 	@echo WARNING: "Support for distribution archives compressed with" \
  957 		       "legacy program 'compress' is deprecated." >&2
  958 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  959 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  960 	$(am__post_remove_distdir)
  961 
  962 dist-shar: distdir
  963 	@echo WARNING: "Support for shar distribution archives is" \
  964 	               "deprecated." >&2
  965 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  966 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  967 	$(am__post_remove_distdir)
  968 
  969 dist-zip: distdir
  970 	-rm -f $(distdir).zip
  971 	zip -rq $(distdir).zip $(distdir)
  972 	$(am__post_remove_distdir)
  973 
  974 dist dist-all:
  975 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  976 	$(am__post_remove_distdir)
  977 
  978 # This target untars the dist file and tries a VPATH configuration.  Then
  979 # it guarantees that the distribution is self-contained by making another
  980 # tarfile.
  981 distcheck: dist
  982 	case '$(DIST_ARCHIVES)' in \
  983 	*.tar.gz*) \
  984 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  985 	*.tar.bz2*) \
  986 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  987 	*.tar.lz*) \
  988 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  989 	*.tar.xz*) \
  990 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  991 	*.tar.Z*) \
  992 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  993 	*.shar.gz*) \
  994 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  995 	*.zip*) \
  996 	  unzip $(distdir).zip ;;\
  997 	esac
  998 	chmod -R a-w $(distdir)
  999 	chmod u+w $(distdir)
 1000 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
 1001 	chmod a-w $(distdir)
 1002 	test -d $(distdir)/_build || exit 0; \
 1003 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
 1004 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
 1005 	  && am__cwd=`pwd` \
 1006 	  && $(am__cd) $(distdir)/_build/sub \
 1007 	  && ../../configure \
 1008 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
 1009 	    $(DISTCHECK_CONFIGURE_FLAGS) \
 1010 	    --srcdir=../.. --prefix="$$dc_install_base" \
 1011 	  && $(MAKE) $(AM_MAKEFLAGS) \
 1012 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
 1013 	  && $(MAKE) $(AM_MAKEFLAGS) check \
 1014 	  && $(MAKE) $(AM_MAKEFLAGS) install \
 1015 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
 1016 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
 1017 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
 1018 	        distuninstallcheck \
 1019 	  && chmod -R a-w "$$dc_install_base" \
 1020 	  && ({ \
 1021 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
 1022 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
 1023 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
 1024 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
 1025 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
 1026 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
 1027 	  && rm -rf "$$dc_destdir" \
 1028 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
 1029 	  && rm -rf $(DIST_ARCHIVES) \
 1030 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
 1031 	  && cd "$$am__cwd" \
 1032 	  || exit 1
 1033 	$(am__post_remove_distdir)
 1034 	@(echo "$(distdir) archives ready for distribution: "; \
 1035 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
 1036 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
 1037 distuninstallcheck:
 1038 	@test -n '$(distuninstallcheck_dir)' || { \
 1039 	  echo 'ERROR: trying to run $@ with an empty' \
 1040 	       '$$(distuninstallcheck_dir)' >&2; \
 1041 	  exit 1; \
 1042 	}; \
 1043 	$(am__cd) '$(distuninstallcheck_dir)' || { \
 1044 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
 1045 	  exit 1; \
 1046 	}; \
 1047 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
 1048 	   || { echo "ERROR: files left after uninstall:" ; \
 1049 	        if test -n "$(DESTDIR)"; then \
 1050 	          echo "  (check DESTDIR support)"; \
 1051 	        fi ; \
 1052 	        $(distuninstallcheck_listfiles) ; \
 1053 	        exit 1; } >&2
 1054 distcleancheck: distclean
 1055 	@if test '$(srcdir)' = . ; then \
 1056 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
 1057 	  exit 1 ; \
 1058 	fi
 1059 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
 1060 	  || { echo "ERROR: files left in build directory after distclean:" ; \
 1061 	       $(distcleancheck_listfiles) ; \
 1062 	       exit 1; } >&2
 1063 check-am: all-am
 1064 	$(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
 1065 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1066 check: check-am
 1067 all-am: Makefile $(PROGRAMS) $(MANS) config.h
 1068 installdirs:
 1069 	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \
 1070 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1071 	done
 1072 install: install-am
 1073 install-exec: install-exec-am
 1074 install-data: install-data-am
 1075 uninstall: uninstall-am
 1076 
 1077 install-am: all-am
 1078 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1079 
 1080 installcheck: installcheck-am
 1081 install-strip:
 1082 	if test -z '$(STRIP)'; then \
 1083 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1084 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1085 	      install; \
 1086 	else \
 1087 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1088 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1089 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1090 	fi
 1091 mostlyclean-generic:
 1092 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1093 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1094 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1095 
 1096 clean-generic:
 1097 
 1098 distclean-generic:
 1099 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1100 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1101 	-rm -f src/$(DEPDIR)/$(am__dirstamp)
 1102 	-rm -f src/$(am__dirstamp)
 1103 
 1104 maintainer-clean-generic:
 1105 	@echo "This command is intended for maintainers to use"
 1106 	@echo "it deletes files that may require special tools to rebuild."
 1107 clean: clean-am
 1108 
 1109 clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
 1110 
 1111 distclean: distclean-am
 1112 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 1113 		-rm -f src/$(DEPDIR)/bwping.Po
 1114 	-rm -f Makefile
 1115 distclean-am: clean-am distclean-compile distclean-generic \
 1116 	distclean-hdr distclean-tags
 1117 
 1118 dvi: dvi-am
 1119 
 1120 dvi-am:
 1121 
 1122 html: html-am
 1123 
 1124 html-am:
 1125 
 1126 info: info-am
 1127 
 1128 info-am:
 1129 
 1130 install-data-am: install-man
 1131 	@$(NORMAL_INSTALL)
 1132 	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 1133 install-dvi: install-dvi-am
 1134 
 1135 install-dvi-am:
 1136 
 1137 install-exec-am: install-sbinPROGRAMS
 1138 	@$(NORMAL_INSTALL)
 1139 	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 1140 install-html: install-html-am
 1141 
 1142 install-html-am:
 1143 
 1144 install-info: install-info-am
 1145 
 1146 install-info-am:
 1147 
 1148 install-man: install-man8
 1149 
 1150 install-pdf: install-pdf-am
 1151 
 1152 install-pdf-am:
 1153 
 1154 install-ps: install-ps-am
 1155 
 1156 install-ps-am:
 1157 
 1158 installcheck-am:
 1159 
 1160 maintainer-clean: maintainer-clean-am
 1161 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 1162 	-rm -rf $(top_srcdir)/autom4te.cache
 1163 		-rm -f src/$(DEPDIR)/bwping.Po
 1164 	-rm -f Makefile
 1165 maintainer-clean-am: distclean-am maintainer-clean-generic
 1166 
 1167 mostlyclean: mostlyclean-am
 1168 
 1169 mostlyclean-am: mostlyclean-compile mostlyclean-generic
 1170 
 1171 pdf: pdf-am
 1172 
 1173 pdf-am:
 1174 
 1175 ps: ps-am
 1176 
 1177 ps-am:
 1178 
 1179 uninstall-am: uninstall-man uninstall-sbinPROGRAMS
 1180 	@$(NORMAL_INSTALL)
 1181 	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 1182 uninstall-man: uninstall-man8
 1183 
 1184 .MAKE: all check-am install-am install-data-am install-exec-am \
 1185 	install-strip uninstall-am
 1186 
 1187 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles am--refresh check \
 1188 	check-TESTS check-am clean clean-cscope clean-generic \
 1189 	clean-sbinPROGRAMS cscope cscopelist-am ctags ctags-am dist \
 1190 	dist-all dist-bzip2 dist-gzip dist-lzip dist-shar dist-tarZ \
 1191 	dist-xz dist-zip distcheck distclean distclean-compile \
 1192 	distclean-generic distclean-hdr distclean-tags distcleancheck \
 1193 	distdir distuninstallcheck dvi dvi-am html html-am info \
 1194 	info-am install install-am install-data install-data-am \
 1195 	install-data-hook install-dvi install-dvi-am install-exec \
 1196 	install-exec-am install-exec-hook install-html install-html-am \
 1197 	install-info install-info-am install-man install-man8 \
 1198 	install-pdf install-pdf-am install-ps install-ps-am \
 1199 	install-sbinPROGRAMS install-strip installcheck \
 1200 	installcheck-am installdirs maintainer-clean \
 1201 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 1202 	mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
 1203 	uninstall uninstall-am uninstall-hook uninstall-man \
 1204 	uninstall-man8 uninstall-sbinPROGRAMS
 1205 
 1206 .PRECIOUS: Makefile
 1207 
 1208 
 1209 install-exec-hook:
 1210 	cd $(DESTDIR)$(sbindir) && \
 1211 	target=`echo bwping | sed '$(transform)'`$(EXEEXT) && \
 1212 	for name in $(bwping_links); do \
 1213 		link=`echo $$name | sed '$(transform)'`$(LN_EXEEXT) && \
 1214 		rm -f $$link && \
 1215 		$(LN_S) $$target $$link; \
 1216 	done
 1217 
 1218 install-data-hook:
 1219 	cd $(DESTDIR)$(mandir)/man8 && \
 1220 	target=`echo bwping | sed '$(transform)'` && \
 1221 	for name in $(bwping_links); do \
 1222 		link=`echo $$name | sed '$(transform)'` && \
 1223 		rm -f $$link.8 && \
 1224 		$(LN_S) $$target.8 $$link.8; \
 1225 	done
 1226 
 1227 uninstall-hook:
 1228 	cd $(DESTDIR)$(sbindir) && \
 1229 	for name in $(bwping_links); do \
 1230 		link=`echo $$name | sed '$(transform)'`$(LN_EXEEXT) && \
 1231 		rm -f $$link; \
 1232 	done
 1233 	cd $(DESTDIR)$(mandir)/man8 && \
 1234 	for name in $(bwping_links); do \
 1235 		link=`echo $$name | sed '$(transform)'` && \
 1236 		rm -f $$link.8; \
 1237 	done
 1238 
 1239 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1240 # Otherwise a system limit (for SysV at least) may be exceeded.
 1241 .NOEXPORT: